Skip to main content
POST
/
game
/
bonus-configure
Bonus Configure
curl --request POST \
  --url https://s-apis.oppigames.com/game/bonus-configure \
  --header 'Content-Type: <content-type>' \
  --header 'x-api-key: <x-api-key>' \
  --header 'x-signature: <x-signature>' \
  --header 'x-timestamp: <x-timestamp>' \
  --data '
{
  "bonuses": [
    {
      "playerId": "<string>",
      "bonusType": "<string>",
      "gameId": "<string>",
      "index": 123,
      "currency": "<string>",
      "expiredAt": "<string>",
      "totalSpinCount": 123,
      "spinBetAmount": 123,
      "bonusAmount": 123
    }
  ]
}
'
{
    "status": "RS_OK",
    "data": [
        {
            "status": "RS_OK",
            "index": 1,
            "bonusId": "4eda52cd-b8a6-43fa-b5d6-327f003032b7"
        },
        {
            "status": "RS_OK",
            "index": 2,
            "bonusId": "8eda00cd-b8a6-43fa-b5d6-327f00303289"
        }
    ]
}

Bonus Types

Bonus TypeDescription
Free BetsFree Bets are configured for a player on a specific game. Each spin is played at a predefined bet amount set by the operator and does not deduct any funds from the player’s account balance. Instead, the spins are fully funded by the operator or the bonus balance. Any winnings generated from these free spins are credited directly to the player’s wallet. Free bet’s transactions are also considered in RTP calculation.
Free SpinsA bonus to grants the player any number of free spins, having winning up to the configured reward amount.
Wheel Of FortuneA bonus mini-game featuring a spinning wheel.
Cascading ReelsA bonus game where winning symbols disappear and new symbols fall into place, potentially triggering bonus multiplier for additional wins in a single spin.
Fortune GuessA bonus mini-game game where the player is presented with multiple items and must guess the correct one.
WageringA bonus where player can claim/unlock bonus wallet/winnings
Card ScratchA bonus mini-game where the player is presented with multiple cards and must guess & scratch the correct one.

Headers

x-api-key
string
required
A unique identifier associated with operator calling API.
x-signature
string
required
A SHA256 HMAC signature generated using the request body and timestamp. Format: HMAC_SHA256(JSON.stringify(data) + ’|’ + timestamp), signed using the provided secret key.
x-timestamp
string
required
An Unix timestamp (milliseconds) Used to verify the request’s freshness. Ensure the same value is used in signature generation.
The signature will remain valid for only 5 minutes from the provided timestamp.
Content-Type
string
required
Must be set to application/json.

Request Body

bonuses
object[]
required
Array of bonus objects

Response

status
string
required
Code indicates status of the request weather it is succeed or failed. We have listed error codes here
data
array
required
List of bonuses configured in request.
{
    "status": "RS_OK",
    "data": [
        {
            "status": "RS_OK",
            "index": 1,
            "bonusId": "4eda52cd-b8a6-43fa-b5d6-327f003032b7"
        },
        {
            "status": "RS_OK",
            "index": 2,
            "bonusId": "8eda00cd-b8a6-43fa-b5d6-327f00303289"
        }
    ]
}